/** \mainpage LWPR++ Documentation
 *
 * \section intro Introduction
 *
 * \section install Installation
 * 
 * \subsection dep Install Dependencies 
 *
 * The code is dependent on a number of
 * other software libraries.  The uBlas library (part of <a
 * href="http://www.boost.org/">Boost</a>) is used to handle matrices and
 * vectors.  The Boost program_options library is also used.
 *
 * \subsubsection boost Install Boost Libraries 
 *
 * The Boost libraries can be downloaded from 
 * <a href="http://www.boost.org/more/getting_started/unix-variants.html">www.boost.org</a>.
 * Installation instructions are available on the website.  Most of the library
 * consists only of header files.  This means that for most of the library no
 * compilation is necessary.
 * 
 * \subsection make Modify Makefile
 *
 * You will need to modify the makefile to suit your machine and needs.  Most
 * likely you will need to have the makefile point to the correct locations for
 * your installation of Boost.  There are two makefiles: one in src/ to make the library and 
 * one in test/ to make the test program.
 *
 * \section usage Usage
 *
 * To run the test program type <tt>./test</tt> and you will get a list of options.
 * An example data set is included.  To test on this data run <tt>./test cross_data cross_data_test</tt>.
 *
 * \subsection code Classes and Code Structure 
 *
 * More here later.
 *
 */
